Page MenuHomePhabricator

[Task] Create central registry for datatypes
Closed, ResolvedPublic

Description

Currently, datatypes, and various handlers for datatypes, need to be registered or hardcoded in several places. There should be a single central place for defining datatypes, and providing the necessary specifications and callbacks.

Some things that currently need to be registered for datatypes:

  • the value type
  • serializer/unserializer
  • parser and various formatters
  • validators

Event Timeline

daniel created this task.Jun 30 2015, 12:50 PM
daniel raised the priority of this task from to Normal.
daniel updated the task description. (Show Details)
daniel added subscribers: Lydia_Pintscher, Aklapper, daniel.
daniel moved this task from incoming to ready to go on the Wikidata board.Jun 30 2015, 1:11 PM
daniel moved this task from ready to go to consider for next sprint on the Wikidata board.
Jonas renamed this task from Central registry for datatypes to [Task] Create central registry for datatypes.Aug 13 2015, 2:49 PM

Change 228854 had a related patch set uploaded (by Daniel Kinzler):
Introduce $wgWBRepoDataTypes. Use it to define validators.

https://gerrit.wikimedia.org/r/228854

daniel claimed this task.Aug 25 2015, 5:39 PM
daniel moved this task from Backlog to Review on the Wikidata-Sprint-2015-08-18 board.

Change 228854 merged by jenkins-bot:
Introduce $wgWBRepoDataTypes. Use it to define validators.

https://gerrit.wikimedia.org/r/228854

daniel moved this task from Review to Done on the Wikidata-Sprint-2015-09-01 board.

The registry has been created by https://gerrit.wikimedia.org/r/#/c/228854/17
Keepign this open until all datatype related services have been changed to use the new registry.

Jonas closed this task as Resolved.Sep 11 2015, 12:10 PM